aboutsummaryrefslogtreecommitdiffstats
path: root/main/gdbm/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/gdbm/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/gdbm/APKBUILD')
-rw-r--r--main/gdbm/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/gdbm/APKBUILD b/main/gdbm/APKBUILD
index dd515f5ec7..d6b820cd47 100644
--- a/main/gdbm/APKBUILD
+++ b/main/gdbm/APKBUILD
@@ -28,11 +28,15 @@ build() {
cd "$_builddir"
# we disable large-file due to it makes the db file non-compat
# with gdbm-1.8.3
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--enable-libgdbm-compat \
--disable-largefile \
--disable-dependency-tracking \
- --enable-fast-install
+ --enable-fast-install \
+ || return 1
make || return 1
}